image: docker:latest

variables:
  DOCKER_ORG_NAME: pallotech

services:
  - docker:dind

before_script:
  - apk add --no-cache curl jq python py-pip

stages:
  - lint
  - build

build:
  stage: build
  script:
    - docker login --username "$DOCKER_HUB_USERNAME" --password "$DOCKER_HUB_PASSWORD"
    - docker build -t $DOCKER_ORG_NAME/$CI_PROJECT_NAME:$CI_COMMIT_REF_NAME .
    - docker push $DOCKER_ORG_NAME/$CI_PROJECT_NAME:$CI_COMMIT_REF_NAME
  tags:
    - docker